## org.eclipse.datatools.modelbase.sql.query.impl
Class UpdateSourceQueryImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.UpdateSourceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.UpdateSourceQueryImpl

All Implemented Interfaces:
  SQLQueryObject, UpdateSource, UpdateSourceQuery, SQLObject

    public class UpdateSourceQueryImpl

extends UpdateSourceImpl
implements UpdateSourceQuery

An implementation of the model object 'Update Source Query'.

The following features are implemented:

- `Query Expr`

Method Summary
`NotificationChain` `basicSetQueryExpr(QueryExpressionBody newQueryExpr, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryExpressionBody` `getQueryExpr()`
`void` `setQueryExpr(QueryExpressionBody newQueryExpr)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.UpdateSourceImpl
`basicSetUpdateAssignmentExpr, eBasicRemoveFromContainerFeature, getUpdateAssignmentExpr, setUpdateAssignmentExpr`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.UpdateSource
`getUpdateAssignmentExpr, setUpdateAssignmentExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQueryExpr

    public QueryExpressionBody getQueryExpr()

  Specified by:
    `getQueryExpr` in interface `UpdateSourceQuery`
  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `UpdateSourceQuery.setQueryExpr(QueryExpressionBody)`, `SQLQueryModelPackage.getUpdateSourceQuery_QueryExpr()`, `QueryExpressionBody.getUpdateSourceQuery()`

### basicSetQueryExpr

    public NotificationChain basicSetQueryExpr(QueryExpressionBody newQueryExpr,
                                               NotificationChain msgs)

### setQueryExpr

    public void setQueryExpr(QueryExpressionBody newQueryExpr)

  Specified by:
    `setQueryExpr` in interface `UpdateSourceQuery`
  Parameters:
    `newQueryExpr` - the new value of the 'Query Expr' containment reference.
  See Also:
    `UpdateSourceQuery.getQueryExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `UpdateSourceImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `UpdateSourceImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `UpdateSourceImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `UpdateSourceImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `UpdateSourceImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `UpdateSourceImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.